PK_EncryptionMessageEncodingMethod Class Referenceabstract

Message encoding method for public key encryption. More...

Inheritance diagram for PK_EncryptionMessageEncodingMethod:

## Public Member Functions

virtual bool | ParameterSupported (const char *name) const
virtual size_t | MaxUnpaddedLength (size_t paddedLength) const =0
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
virtual void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedBitLength, const NameValuePairs &parameters) const =0
virtual DecodingResult | Unpad (const byte *padded, size_t paddedBitLength, byte *raw, const NameValuePairs &parameters) const =0

## Detailed Description

Message encoding method for public key encryption.

Definition at line 215 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h